linux-lts-backport-oneiric: 3.0.0-25.41~lucid1 -proposed tracker

Bug #1036577 reported by Brad Figg on 2012-08-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux-lts-backport-oneiric (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-25.41~lucid1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 14. August 2012 10:02 UTC
kernel-stable-Certification-testing-end:Tuesday, 14. August 2012 10:17 UTC
kernel-stable-Prepare-package-end:Tuesday, 14. August 2012 21:47 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 14. August 2012 21:47 UTC
kernel-stable-Promote-to-proposed-end:Monday, 20. August 2012 18:32 UTC
kernel-stable-Verification-testing-start:Monday, 20. August 2012 19:33 UTC
kernel-stable-Security-signoff-start:Friday, 24. August 2012 15:46 UTC
kernel-stable-Verification-testing-end:Friday, 24. August 2012 15:46 UTC
kernel-stable-Regression-testing-start:Friday, 24. August 2012 15:46 UTC
kernel-stable-Security-signoff-end:Friday, 24. August 2012 23:45 UTC
kernel-stable-Regression-testing-end:Friday, 07. September 2012 23:15 UTC
kernel-stable-Promote-to-updates-start:Sunday, 09. September 2012 21:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 10. September 2012 16:45 UTC
kernel-stable-Promote-to-updates-end:Monday, 10. September 2012 16:45 UTC

Brad Figg (brad-figg) on 2012-08-14
tags: added: kernel-release-tracking-bug
Changed in linux-lts-backport-oneiric (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-08-14
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Accepted to -proposed, overrides should be fixed in the next hour.

Brad Figg (brad-figg) on 2012-08-20
description: updated
Brad Figg (brad-figg) on 2012-08-20
description: updated
Brad Figg (brad-figg) on 2012-08-24
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2012-08-24
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed. Three tests failed dur to a Jenkins issue.

tags: added: qa-testing-passed
tags: removed: qa-testing-passed
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-09-07
description: updated
Brad Figg (brad-figg) on 2012-09-09
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (8.1 KiB)

This bug was fixed in the package linux-lts-backport-oneiric - 3.0.0-25.41~lucid1

---------------
linux-lts-backport-oneiric (3.0.0-25.41~lucid1) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1036577

  [ Andy Whitcroft ]

  * SAUCE: rds_ib_send() -- prevent local pings triggering BUG_ON()
    - LP: #1016299
    - CVE-2012-2372

  [ Douglas Bagnall ]

  * SAUCE: Unlock the rc_dev lock when the raw device is missing
    - LP: #1015836

  [ Upstream Kernel Changes ]

  * cifs: always update the inode cache with the results from a FIND_*
    - LP: #1031926
  * ntp: Fix STA_INS/DEL clearing bug
    - LP: #1031926
  * mm: fix lost kswapd wakeup in kswapd_stop()
    - LP: #1031926
  * MIPS: Properly align the .data..init_task section.
    - LP: #1031926
  * UBIFS: fix a bug in empty space fix-up
    - LP: #1031926
  * dm raid1: fix crash with mirror recovery and discard
    - LP: #1031926
  * mm/vmstat.c: cache align vm_stat
    - LP: #1031926
  * mm: memory hotplug: Check if pages are correctly reserved on a
    per-section basis
    - LP: #1031926
  * mm: reduce the amount of work done when updating min_free_kbytes
    - LP: #1031926
  * mm: vmscan: fix force-scanning small targets without swap
    - LP: #1031926
  * vmscan: clear ZONE_CONGESTED for zone with good watermark
    - LP: #1031926
  * vmscan: add shrink_slab tracepoints
    - LP: #1031926
  * vmscan: shrinker->nr updates race and go wrong
    - LP: #1031926
  * vmscan: reduce wind up shrinker->nr when shrinker can't do work
    - LP: #1031926
  * vmscan: limit direct reclaim for higher order allocations
    - LP: #1031926
  * vmscan: abort reclaim/compaction if compaction can proceed
    - LP: #1031926
  * mm: compaction: trivial clean up in acct_isolated()
    - LP: #1031926
  * mm: change isolate mode from #define to bitwise type
    - LP: #1031926
  * mm: compaction: make isolate_lru_page() filter-aware
    - LP: #1031926
  * mm: zone_reclaim: make isolate_lru_page() filter-aware
    - LP: #1031926
  * mm: migration: clean up unmap_and_move()
    - LP: #1031926
  * mm: compaction: allow compaction to isolate dirty pages
    - LP: #1031926
  * mm: compaction: determine if dirty pages can be migrated without
    blocking within ->migratepage
    - LP: #1031926
  * mm: page allocator: do not call direct reclaim for THP allocations
    while compaction is deferred
    - LP: #1031926
  * mm: compaction: make isolate_lru_page() filter-aware again
    - LP: #1031926
  * kswapd: avoid unnecessary rebalance after an unsuccessful balancing
    - LP: #1031926
  * kswapd: assign new_order and new_classzone_idx after wakeup in sleeping
    - LP: #1031926
  * mm: compaction: introduce sync-light migration for use by compaction
    - LP: #1031926
  * mm: vmscan: when reclaiming for compaction, ensure there are sufficient
    free pages available
    - LP: #1031926
  * mm: vmscan: do not OOM if aborting reclaim to start compaction
    - LP: #1031926
  * mm: vmscan: check if reclaim should really abort even if
    compaction_ready() is true for one zone
    - LP: #1031926
  * vmscan: promote shared file mapped pages
    - LP: #1031926
  * vmscan: activate exe...

Read more...

Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: New → Fix Released
Adam Conrad (adconrad) wrote :

Released to -updates and -security.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Brad Figg (brad-figg) on 2014-10-10
Changed in linux-lts-backport-oneiric (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers